AutoCAD Inventor :: ILogic Component Edge Color In IDW View?

Feb 9, 2012

Is there code for changing the color (or other properties) of the visible edges of a component in a drawing view, the same way I can do it manually by right-clicking a component and choosing Properties?

I wrote this rule to change the color of each individual drawing curve:

Edit: Ignore the "<!".  It's the only way I could get the iLogic code to successfully post in the message
 
Spoiler (Highlight to read)<!Dim drawViews AsDrawingView
For Each drawViews In ThisApplication.ActiveDocument.ActiveSheet.DrawingViews
occ3 = drawViews.ReferencedDocumentDescriptor.ReferencedDocument.ComponentDefinition.Occurrences.ItemByName("GF_Plenum:1")
Dim newColor3 As Color
newColor3 = ThisApplication.TransientObjects.CreateColor(0,255,255)

[code]....

View 2 Replies


ADVERTISEMENT

AutoCAD Inventor :: ILogic - Skip Saving A Suppressed Component / Delete Suppressed Component

Aug 30, 2012

I have an assembly which has a few components suppressed.

My end results is another copy of the assembly (with copies of the all the parts) in another directory

Now i am able to create copies of un-suppressed parts using; (this allows me to SaveAs assembly components which are not suppressed)

DocumentsEnumerator = ThisDoc.Document.AllReferencedDocuments

And save a copy of the assembly using

ThisDoc.Document.SaveAs

I also added the fllowing snippet (which I am not sure what is does), but it does not work for me

Component.SkipDocumentSave = true

 When I open the newly created assembly, I still see the suppressed components in the model browser

I want to either;

Skip saving the of the components in the model browser (i.e. the Assembly)

OR

Delete the suppressed parts in the Assembly, so that they do not save altogether

View 3 Replies View Related

AutoCAD Inventor :: ILogic Component Add

Jan 16, 2013

What I am trying to do is insert a part into an assembly file using iLogic. I basically want to mimic Inventor’s “Place” command using ilogic, maybe something like this:

oPath = ThisDoc.Path & ""
oFile = "File.ipt"
Component.Place(oPath & oFile, False)

View 1 Replies View Related

AutoCAD Inventor :: Component Suppression Using ILogic

Mar 1, 2012

How can I include component suppression in the idw views? I suppress a component in the ipt or asm, but it doesn't

disappear from the drawing views. Is there a way to carry this over to the drawing?

View 1 Replies View Related

AutoCAD Inventor :: Place ILogic Component

Dec 28, 2012

Is it possible to skip the small preview window and the parameters display when i place an iLogic component white the command Place iLogic Component.

View 1 Replies View Related

AutoCAD Inventor :: ILogic Component Not Found

Aug 12, 2013

I'm trying to play around with iLogic for creating dynamically dimensioned subassemblies. I've created my dimensioning rules that link to the parts I wish to change dimensions on.
 
Parameter("Bridge Spine:1", "BridgeLength")=Length

And I've tested this in the SubAssembly I've created and all appears fine. However when I go to insert the sub assembly into the main assembly I get the following error:

Parameter:  The component named "Bridge Spine:1" was not found.

I've noticed that the new sub assembly has created new parts with the extension -01 on the end of each part (As expected) It appears that this link is being lost in the rule for the new sub assembly. i.e the rule is looking for Bridge Spine:1 instead of Bridge Spine-01:1

View 3 Replies View Related

AutoCAD Inventor :: Setting Sub-component Appearances With ILogic?

Nov 7, 2013

I am trying to set the appearance of sub-components in an assembly using iLogic.
 
Dim oDoc As Inventor.AssemblyDocument = ThisApplication.ActiveDocument Dim oCompDef As Inventor.ComponentDefinition = oDoc.ComponentDefinitionDim oCompOcc As Inventor.ComponentOccurrence 'parts in the assemblyFor Each oCompOcc In oCompDef.OccurrencesoCompOcc.Definition.Document.ActiveRenderStyle = oCompOcc.Definition.Document.RenderStyles("HVGM")Next

View 3 Replies View Related

AutoCAD Inventor :: ILogic - Give Component Certain Rotation

Oct 19, 2012

I have a code which I want to rotate a part. I have a text parameter 6 and 7. If one of the values is active I want to give the component a certain rotation.

Under the 'Hoekkoppeling' parameter is the angle constraint.

Below the

If Parameter ("KlemHoekstuk-01: 1", "KoppelingType") = 7
Then Hoekkoppeling = 60 deg
ElseIf Parameter ("KlemHoekstuk-01: 1", "KoppelingType") = 6
Then Angle = -60 deg
End If

I now get always an error on the second and fourth line.

I feel that the specify for the value is incorrectly.

View 4 Replies View Related

AutoCAD Inventor :: Change Patterned Component IProperties Via ILogic

Sep 19, 2012

I'm working on a main assembly. I want to edit the i properties of components within a sub-assembly, this is fine for "RING:1"
 
iProperties.Value("RING:1","Project", "Description")="A79-H020B001"

but I get an error message when i try to edit the iproperties of a patterned component within the sub-assembly.

View 3 Replies View Related

AutoCAD Inventor :: Place ILogic Component Doesn't Work?

Dec 2, 2013

I created a simple Part with some parameters to drive dimensions. Saved the part. I created an Assembly. Saved the assembly. Clicked Place iLogic Component. The Place iLogic Component window appeared Selected the Part. I can see the preview window (Part-01) & the parameter window... Used default values. Hit OK NO PART INSERTED! Using Inventor Pro 2014 64-BitLudesroc

View 1 Replies View Related

AutoCAD Inventor :: ILogic - Delete A Suppressed Component Pattern

Sep 20, 2013

How to modify the code below to delete suppressed parts in a pattern (entire pattern)?

Dim oComp As ComponentOccurrenceDim oComps As ComponentOccurrencesoComps = ThisDoc.Document.ComponentDefinition.OccurrencesFor Each oComp In oCompsIf Component.IsActive(oComp.Name) = False Then oComp.DeleteNext

 Code works fine if there are single instances of the part. It throws a error when you have a suppressed pattern.

View 7 Replies View Related

AutoCAD Inventor :: Change BOM Structure Of Component Within Assembly Using ILogic

Nov 22, 2011

I have a wall of frames, if you will, and some frames within this wall are different sizes. When doing the BOM, I want to be able to combine anything that has the same stock number as well as the same cut length. The only way I have thought to do this so far is to cycle through each stock number and if the cut length is the same, I override the quantity of one and change the BOM Structure of the other to "Reference". 

How can I change the BOM Structure to reference without selecting the part or going through the BOM Editor? Is there some VBA code I could utilize? I am striking out by solely using iLogic.

View 2 Replies View Related

AutoCAD Inventor :: ILogic Form - Show On Place Component

Feb 22, 2012

Show on Place Component

If I set this to true, then when I "place iLogic component", I don't get the form displayed or the parameter table or the model preview.

 If set True, displays the form when placing this model as a component in an assembly. This setting affects Place Component and Place iLogic Component. If the template file has a form, this setting also affects Create In-Place Component.

View 1 Replies View Related

AutoCAD Inventor :: ILogic Change Parameter In Any Part That Is Not A Component

Oct 1, 2013

The commented code does not work. I want to be able to open a part and change its size parameters before i open the assembly. this code will run as an external rule in a new empty file. 

If i can do it without opening the part, that is even better. Test can I open a part, change a param, then close part.

Dim fname As String
fname ="C:Workspacemy_progchanF_BB_L.ipt"
Dim pDoc as PartDocument = ThisApplication.Documents.Open(fname,False)
pDoc  = ThisApplication.Documents.Open(fname)

These are just attempts to find a syntax that works. I need the method to change the parameter.

 'param = pDoc.PartComponentDefinition.Parameter.Param("TKNS")
 'pdoc.parameter.Param("TKNS") = 8
pdoc.Save
pdoc.Close

View 4 Replies View Related

AutoCAD Inventor :: ILogic Assembly Component Occurrence Definition?

Sep 28, 2012

I have a simple code below trying to iterate through all the assembly component and copy the iProperties > Occurrece Name (i.e. "Part1:1") and paste it to iProperties > Project tab > Part Number field for each individual part in assembly.

' set a reference to the assembly component definintion.
' This assumes an assembly document is open.
Dim oAsmCompDef As AssemblyComponentDefinition
oAsmCompDef = ThisApplication.ActiveDocument.ComponentDefinition

'Iterate through all of the occurrences
Dim oOccurrence As ComponentOccurrence
For Each oOccurrence In oAsmCompDef.Occurrences
Dim oName As String
oName = oOccurrence.Name
iProperties.Value(oOccurrence.Name, "Project", "Part Number") = oName
MessageBox.Show(oOccurrence.Name, "iLogic")
Next 

The Debug message shows the correct output for every iteration, but when I check each part's properties they all have the Occurrence Name of the last part in the aseembly.

View 4 Replies View Related

AutoCAD Inventor :: Form Button To Place ILogic Component

Jan 22, 2013

I wish to create a form that with multiple buttons. Each button will place another component (platform, stairs, ladder, railing).

I wish to place them using 'Place iLogic Component"

I know you can call this command by:

ThisApplication.CommandManager.ControlDefinitions.Item("iLogic.PlaceComponent").Execute

But is it possible to automatically browse to and open a file this way using a path "C:CPSVaultPlatformComponentsStairs.iam" within this command?

View 6 Replies View Related

AutoCAD Inventor :: ILogic Replace Component With Multiple Different Components

Jan 5, 2014

So I have been going round and round in circles on this one iam trying to use replace component within ilogic which is fine with switching one part for another but I want a drop down of parts so it replaces which ever one is active the problem I am having is establishing which one is active. So below is what I have so far but the problem is you cant seem to reference a part that is not in the assembly so I keep getting the error

The component named "Flange 1" was not found for example. I just need a way of establishing which one is currently in the assembly but with out referencing components that are not there.

If Component.IsActive("Flange 1")=True Then current = 1
If Component.IsActive("Flange 2")=True Then current = 2
If Component.IsActive("Flange 3")=True Then current = 3
If part = 1 And current = 2 Then Component.Replace("flange 2", "Flange 1.ipt", True) End If
If part = 1 And current = 3 Then Component.Replace("flange 3", "Flange 1.ipt", True) End If
If part = 2 And current = 1 Then Component.Replace("flange 1", "Flange 2.ipt", True) End If
If part = 2 And current = 3 Then Component.Replace("flange 3", "Flange 2.ipt", True) End If
If part = 3 And current = 1 Then Component.Replace("flange 1", "Flange 3.ipt", True) End If
If part = 3 And current = 2 Then Component.Replace("flange 2", "Flange 3.ipt", True) End If

View 4 Replies View Related

AutoCAD Inventor :: ILogic To Create Custom IProperty In Sub-component

Apr 1, 2013

I found this code to create a custom iProperty in the current, open document:
 
Dim propertyName As String = "MyProperty"Dim propertyValue as String = "Test Value"customPropertySet = ThisDoc.Document.PropertySets.Item("Inventor User Defined Properties")Try prop = customPropertySet.Item(propertyName)Catch ' Assume error means not found customPropertySet.Add("", propertyName)End TryiProperties.Value("Custom", propertyName) = propertyValue 

I have a iLogic rule that goes through each component of an assembly, counts how many times it occurs in the assembly, and then assigns that value to an iProparty (i.e. it inserts the total quantity of the part in some iProperty). Currently, however, it assigns the value to a default iProperty value, "Authority". I'd like, instead, for it to assign it to a custom iProperty called "Total QTY". However, I don't know how to tell Inventor to do the above code for a component in the assembly rather than the assembly itself. Below is my entire code. I've labeled where I'm guessing the above code should go. How I'd modify the above code to create the iProperty in the component being processed by the rule at that point?

Current
 
''True comment: Begin '''Commented-out Begin '''PartDocumentObject = 12290''AssemblyDocumentObject = 12291Dim openDoc As DocumentopenDoc = ThisDoc.DocumentDim docFile As DocumentIf openDoc.DocumentType = 12291 Then''If the open document is an assembly:''For each document referenced in this document:For
[code]......

View 2 Replies View Related

AutoCAD Inventor :: ILogic Code To Trigger Rule In Child Component

Nov 20, 2013

I'm trying to create a rule in ilogic that would search through all child components (looking for both .ipt and .iam file types) looking for an ilogic rule within each child component with a particular name, and running that rule if it is found. 

View 1 Replies View Related

AutoCAD Inventor :: ILogic To Remove Component Visibility From Drawings Environment

Aug 21, 2013

I am looking for a way to create an external rule that will allow me to turn off the visibility of bolt generator items in the model while I am looking at the drawing. Bolts may be buried several subassemblies (4 - 6) deep.

View 6 Replies View Related

AutoCAD Inventor :: Using ILogic To Set Component Visibility Based On Positional Representation

May 30, 2013

what code I would use in an assembly if I want to enable and make visible certain parts depending on the positional rep I am using.

Basically I am having trouble reading the pos rep into an iLogic code

View 5 Replies View Related

AutoCAD Inventor :: ILogic Design Copy - Unable To Change Component Names?

Aug 11, 2011

I'm finally wrapping up work on an iLogic Configurator project and have started to brainstorm the best workflow to get this "Smart Assembly" into the design group's hands. I had been anxiously awaiting the new "iLogic Design Copy" feature in IV2012, but just recently learned that users are unable to effectively rename any components with this command.

Is this really true? If we can add prefixes or suffixes, what's stopping us from changing the entire filename?  We haven't upgraded to 2012 yet, but it seems like this may be a silly and unjustifiable restriction to a command that would otherwise save our designers hours of "file-management" (ie, manually renaming parts in Explorer, component replace in assy's, replace references in idw's, etc) each week.

Long story short, it seems that every workflow I've come across has had some sort of silly limitation that makes it undesireable for my application:
 
My top-level assembly contains all of the rules, and changes parameter values in the referenced skeletal parts. It also swaps standard parts for other standard parts as needed.I need access to rename ALL files (idw's, top-level assembly, subassemblies, and base components) while still maintaining/updating all internal hyperlinks between them.iLogic rules must be carried over to the new copied components (the existing "Copy Assembly" command strips the assembly of all rules). In light of the iLogic Design Copy's apparent shortcomings, any better workflow?

View 9 Replies View Related

AutoCAD Inventor :: Drawing View Component Visibility

Nov 8, 2011

I am using this code to turn visibility of components off in IDw file, what I need top turn visibility of a component of in a subassembly.

'oDrawingDocument = ThisApplication.ActiveDocument
'Get the first view
'Dim oView As Inventor.DrawingView
 'oView = oDrawingDocument.ActiveSheet.DrawingViews.Item(2)

[Code] .........

View 2 Replies View Related

AutoCAD Inventor :: Component Turns Red In Breakout View

Sep 12, 2013

My coworker gets this error:

He makes a detail. In the enlarged view he makes a sketch. He then makes a break out. Within the enlarged view, in the gap which the break out opened up for clarity of the view, are two components that he wishes to make its hidden lines visible. Doing this locks up his machine and makes a single component turn red.

Dell Precision T3600 - Windows 7 SP1, 64x
16GB RAM, NVIDIA Quadro 2000 (driver 9.18.13.3165)
Inventor 2013 SP2 Update 2
AutoCAD 2013 SP2
Vault Collaboration 2013
3DConnexion SpaceNavigator

View 5 Replies View Related

AutoCAD Inventor :: Select Component Priority No Longer Shows Face / Edge Preview

Dec 12, 2011

This has happened since I updated to 2012 Professional.  When I want to use the measure tool or add constrains in assembly mode, the face/edge preview does not show up in red under Select Component Priority.  I have to wait for the select other option to come up to see which face I am on.  If I click on the face or edge it will show up but not until I do.  I don't remember changing any settings that would cause this.  I could have the select other option delay set to zero or I could change it to another selection priority but I don't remember having to do that before.

View 2 Replies View Related

AutoCAD Inventor :: Modifying Component Visibility With Custom View Rep

Oct 11, 2011

In my neverending battle to find a way to turn off unneeded components in an assembly, I'm trying my hand at modifying component visibility with a custom View Rep. View reps seemed to pose fewer issues than LOD's (in that you can have a drawing and model open at the same time without a million error messages)......until I tried to make a pattern.

When first placing a new subassembly component into an assembly, it will automatically place in the "Last Saved" View Rep. Since certain parts may be invisible in my "skeletal" subassembly, this is ideal. HOWEVER, when I try to pattern this subassembly, all of the occurrences absolutely insist on displaying at the "Master" View Rep. This makes no sense to me whatsoever and destroys yet another workflow at the 99% mark. I understand that I can change the view rep manually, but manual workarounds and corrections defeat the point of using iLogic to manipulate our models.

Am I the only CAD user who wants the simple ability to "turn off" an assembly component? iAssemblies are not an option due to the shear number of combinations of unneeded components.

View 4 Replies View Related

AutoCAD Inventor :: OnSelect Event When Selecting Component In Drawing View

Sep 24, 2012

Im trying to catch the event when the user selects a component in a drawing view using

CommandManager.UserInputEvents.OnContextMenu += UserInputEvents_OnContextMenu;

But it seems that the onselect event only catches selection of drawing views or balloon, annotation etc, but not the component inside the drawing view is this intentional or a bug?

The reason i need to catch this is to make a new context menu action, so i need the selected item. I know i can use SelectionSet, but i want to be able to debug my application as an external application connecting to the running instance before i build it into an addin (saves me a lot of inventor restarts..) And Selection Set does not seem to work when i use it inside an event handler in an external application... 

View 3 Replies View Related

AutoCAD Inventor :: Use API To Check Whether Component Is Invisible (hidden) In Drawing View?

May 23, 2013

I am working on a project to assign balloons to components in drawing view automatically. Of course, I don't want to assign a balloon to a component which is invisible (hidden) in this drawing view.

So, is there any API function to check whether the component in the drawing view is invisible or hidden?

View 2 Replies View Related

AutoCAD Inventor :: Create Section View Of Single Component In Presentation File?

Jun 18, 2012

I'm in the process of creating an exploded view of an assembly. I'm having to do this in a presentation file, and I was wondering if it was possible to section one of the parts in the exploded view. To be more specific, I have the majority of my parts spread out around another assembly in the center of the page. I want to get a three quarter section view of the center assembly so the internals are visible. Is this possble from within a presentation file and if so, how can it be done?

Inventor Professional 2013
Intel Xeon W3680 @ 3.33Ghz
12GB DDR3 RAM
NVIDIA Quadro 2000 GPU
Windows 7 Professinal 64-bit

View 2 Replies View Related

AutoCAD Inventor :: Component Occurrence In Drawing View To Hidden Line Style?

Jan 5, 2010

Can this be done? I want to go through the DrawingView Object to get at a subcomponent of an assembly and either set that component to have hidden lines (where needed) or no hidden lines.

View 8 Replies View Related

AutoCAD Inventor :: ILogic / Run Assembly-level Rule From Component Rule?

Aug 2, 2013

I need a way to run a rule which is saved in my top-level assembly using iLogic rule which is saved in a part file in the parent assembly.

I have even tried using an external rule in a txt file, but that gives the error "Component: This function can only be used in an assembly."  - which makes no sense to me.   I hope I am just missing something simple.  I cant believe with all its other strengths, that iLogic would be so limited in that regard.   Why is there not simply a snippet under the 'Run Other' that allows you to specify an assembly file and the rule name?  (like there is for running a rule in a component from the assembly)

View 4 Replies View Related







Copyrights 2005-15 www.BigResource.com, All rights reserved